<?php

require_once 'script_php/converterdatasql.php';

function cofreDados($datainicio,$datafinal,$status){

$datainiciosql = converterSql($datainicio);
$datafinalsql = converterSql($datafinal);

require_once('script_php/VerificarBaixaCofre.php');

?>

<!DOCTYPE html>
<html>
<head>

<?php include_once 'head.html' ?>

<title></title>
</head>

<body>

<?php include_once 'header.php'; ?>
<h5> Status = <?php echo $status; ?></h5>
<h4>Escritório</h4>

	<table class="table">
	<thead>
    <tr class="table-primary">
      <th scope="col">ID</th>
      <th>Data</th>
      <th scope="col">SANGRIA</th>
      <th scope="col">VALOR</th>
      <?php if (($tipousuario == 'admsistema' or $tipousuario == 'fiscal' or $tipousuario == 'comprador')){ ?>
      <th scope="col"> DESFAZER</th>

    <?php } ?>
     </tr>
</thead>
<?php

if($status == 'fechado'){
$result = "SELECT * FROM cofre WHERE loja = '$loja' and data >= '$datainicio' AND data <= '$datafinal' AND baixado = 1 ";
}
if($status == 'aberto'){
  $result = "SELECT * FROM cofre WHERE loja = '$loja' and data >= '$datainicio' AND data <= '$datafinal' AND baixado = 0 ";
}
if($status == 'todos'){
  $result = "SELECT * FROM cofre WHERE loja = '$loja' and data >= '$datainicio' AND data <= '$datafinal' ";
  }
  
  $resultado = mysqli_query($conexao, $result);

    while($linha = mysqli_fetch_array($resultado)){

      $sangria = $linha['sangria'];
      $id = $linha['ID'];
      $valor = $linha['valor'];

//verificar se ja baixou
?>
     <tr>
      <td><?= $id ?></td>
      <td><?= date("d/m/Y", strtotime($linha['data'])); ?> </td>
      <td><?= $sangria ?></td>

      <td>R$ <?php echo number_format($valor, 2, ',', '.' );;?></td>

      <?php if (($tipousuario == 'admsistema' or $tipousuario == 'fiscal')){//se usuario pode desfazer ?>
           
      <td>

        <a href="script_php/desfazerbaixacofre.php?id=<?= $linha['ID']?>&datainicio=<?=$datainicio?>&datafinal=<?=$datafinal?>&situacao=<?=$status?> " onclick="return confirm('Excluir? Auteração não poderá ser desfeita!')" >
        <?php if($linha['baixado'] == 1){?>
        <button type="button" class="btn btn-danger" title="Excluir">Desfazer Baixa</button>
        <?php } ?>

      </a>

      </td>       

      <?php }else{//se nao é usuario com permissao
        ?> 
      <td>
        <button type="button" class="btn btn-warning" title="Excluir"> Não pode desfazer </button>
      </td>
      
      <?php ?>
     </tr>
<?php }//se nao é usuario com permissao
}//while

if (($tipousuario == 'admsistema' or $tipousuario == 'fiscal' or $tipousuario == 'comprador')){
?>

</table>

<?php
if($status == 'fechado'){

  $result2 = "SELECT sum(valor) as valor FROM cofre WHERE loja = '$loja' AND data >= '$datainicio' AND data <= '$datafinal' AND baixado = 1 ";
}

if($status == 'aberto'){
    $result2 = "SELECT sum(valor) as valor FROM cofre WHERE loja = '$loja' AND data >= '$datainicio' AND data <= '$datafinal' AND baixado = 0 ";
    }
    
if($status == 'todos'){
$result2 = "SELECT sum(valor) as valor FROM cofre WHERE loja = '$loja' AND data >= '$datainicio' AND data <= '$datafinal' ";
}



$resultado2 = mysqli_query($conexao, $result2);
    while($linha2 = mysqli_fetch_array($resultado2)){
      $total = $linha2['valor'];
    }
?>

<h3> [Total R$ <?php echo number_format($total, 2, ',', '.' );?> ] </h3>

<!-- SQL SERVER SOFTCOM TODOS -->
<h4>Sangrias Caixa </h4>

<table class="table">

  <thead>
    <tr class="table-primary">
      <th scope="col">ID</th>
      <th>Data</th>
      <th scope="col">SANGRIA</th>
      <th scope="col">VALOR</th>
      <th>Desfazer</th>
     
     </tr>
</thead>

 <?php

$lojaSQL = "";
switch ($loja) {
  case 'loja02':
    $lojaSQL = 'LOJA 02';
    break;
      case 'loja03':
    $lojaSQL = 'LOJA 03';
    break;
      case 'loja04':
    $lojaSQL = 'LOJA 04';
    break;
      case 'loja05':
    $lojaSQL = 'LOJA 05';
    break;
      case 'matriz':
    $lojaSQL = 'MATRIZ';
    break;
  }


try{

    $Conexao    = Conexao::getConnection();
    $query      = $Conexao->query("SELECT * FROM [Contas a pagar2] WHERE [Data de Pagamento] >= '$datainiciosql' AND  [Histórico] NOT LIKE '%FECHAMENTO%' AND  [Histórico] NOT LIKE '%TROCA/DEVOLUÇÃO%' AND [Data de Pagamento] <= '$datafinalsql' AND LojaOrigem = '$lojaSQL' AND [Valor Pago2] > 0  AND [ChaveaPagar] = 0;");
    $produtos   = $query->fetchAll();

}catch(Exception $e){

  echo $e->getMessage();
  exit;
 }

foreach($produtos as $conta) {

   $dataSQL = $conta['Data de Pagamento'];
   $loja = $conta['LojaOrigem'];

   $valorSQL = round($conta['Valor Pago2'], 2);

  if($status == 'aberto'){
 $numer = VerificarCofre($conexao,$conta[0]);
 if ($numer != $conta[0]){

?>
<tr>
      <td><?= $conta[0]?></td>
      <td><?= date("d/m/Y", strtotime($dataSQL)); ?> </td>
      <td><?= $conta[2];  ?></td>
      <td>R$ <?php echo number_format($valorSQL, 2, ',', '.' );;?></td>
      
</tr>


<?php } }elseif($status == 'fechado'){
   $numer = VerificarCofreSQL($conexao,$conta[0]);
   if ($numer == $conta[0]){
  ?>  
<tr>
      <td><?= $conta[0]?></td>
      <td><?= date("d/m/Y", strtotime($dataSQL)); ?> </td>
      <td><?= $conta[2];  ?></td>
      <td>R$ <?php echo number_format($valorSQL, 2, ',', '.' );;?></td>
      
      <td>
      <a  href="script_php/desfazer_sangria.php?id=<?= $conta[0]?>&datainicio=<?=$datainicio?>&datafinal=<?=$datafinal?>&situacao=<?=$status?> " onclick="return confirm('Excluir? Auteração não poderá ser desfeita!')" >
      <button type="button" class="btn btn-danger" title="Excluir">Desfazer Baixa</button>
      </a>
      </td>
</tr>

<?php
}}else{ ?>

<tr>
      <td><?= $conta[0]?></td>
      <td><?= date("d/m/Y", strtotime($dataSQL)); ?> </td>
      <td><?= $conta[2];  ?></td>
      <td>R$ <?php echo number_format($valorSQL, 2, ',', '.' );;?></td>
  <?php
      $numer = VerificarCofreSQL($conexao,$conta[0]);
   if ($numer == $conta[0]){
    ?>
      <td>
      <a  href="script_php/desfazer_sangria.php?id=<?= $conta[0]?>&datainicio=<?=$datainicio?>&datafinal=<?=$datafinal?>&situacao=<?=$status?> " onclick="return confirm('Excluir? Auteração não poderá ser desfeita!')" >
      <button type="button" class="btn btn-danger" title="Excluir">Desfazer Baixa</button>
      </a>
      </td>
      

    <?php } ?>

</tr>

<?php
      }
    } 
  }
}
?>